Saltar al contenido principal
POST
/
client
/
batch
/
{batchNumber}
/
addShipment
Add shipments to a batch
curl --request POST \
  --url https://api.ship.uniuni.com/prod/client/batch/{batchNumber}/addShipment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "shipments": [
    "UNI02947917E",
    "UNI0114576F0"
  ]
}
'
{
  "message": "Shipments added to batch successfully",
  "code": 0,
  "data": {
    "batchNumber": "URB0714000000000727",
    "batchName": "test",
    "status": "PENDING",
    "printedLabel": false,
    "shipmentCount": 2
  }
}
Cada envío solo puede pertenecer a un lote. Si un envío ya está en otro lote, será movido a este.

Autorizaciones

Authorization
string
header
requerido

API access token generated from the UniUni Platform dashboard.

Parámetros de ruta

batchNumber
string
requerido

The unique batch number (e.g. URB0714000000000687).

Cuerpo

application/json
shipments
string[]
requerido

List of order numbers.

Respuesta

200 - application/json

Shipments added or error

message
string
requerido

Additional information about the request status.

code
integer
requerido

Status code. 0 indicates success.

data
object

Partial batch summary returned after add/remove shipment operations.